Ensure IPSecGateway
Ensures that the IPSecGateway with the provided ID is created or modified. The full IPSecGateway needs to be provided to ensure (either update or create) the IPSecGateway. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.
The token can be generated using the Authentication API.
The ID (UUID) of the IPSecGateway.
66a114c7-2ddd-5119-9ddf-5a789f5a5a44The ID (UUID) of the IPSecGateway.
66a114c7-2ddd-5119-9ddf-5a789f5a5a44Metadata
IPSecGateway successfully updated.
The ID (UUID) of the IPSecGateway.
66a114c7-2ddd-5119-9ddf-5a789f5a5a44The type of the resource.
The URL of the IPSecGateway.
/ipsecgateways/66a114c7-2ddd-5119-9ddf-5a789f5a5a44IPSecGateway successfully ensured.
Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Conflict
The UUID is already taken by another party, follow the guides to generate UUIDs uniquely.
Unsupported Media Type
The request has an unsupported media type.
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
PUT /ipsecgateways/{gatewayId} HTTP/1.1
Host: vpn.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 434
{
"id": "66a114c7-2ddd-5119-9ddf-5a789f5a5a44",
"metadata": {},
"properties": {
"name": "My Company Gateway",
"description": "This gateway connects site A to VDC X.",
"gatewayIP": "81.173.1.2",
"connections": [
{
"datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
"lanId": "2",
"ipv4CIDR": "192.168.1.100/24",
"ipv6CIDR": "fd28:5f8d:d9fe:08bd::/64"
}
],
"version": "IKEv2",
"tier": "STANDARD",
"maintenanceWindow": {
"time": "16:30:59",
"dayOfTheWeek": "Monday"
}
}
}{
"id": "66a114c7-2ddd-5119-9ddf-5a789f5a5a44",
"type": "ipsecgateway",
"href": "/ipsecgateways/66a114c7-2ddd-5119-9ddf-5a789f5a5a44",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"status": "AVAILABLE",
"statusMessage": null
},
"properties": {
"name": "My Company Gateway",
"description": "This gateway connects site A to VDC X.",
"gatewayIP": "81.173.1.2",
"connections": [
{
"datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
"lanId": "2",
"ipv4CIDR": "192.168.1.100/24",
"ipv6CIDR": "fd28:5f8d:d9fe:08bd::/64"
}
],
"version": "IKEv2",
"tier": "STANDARD",
"maintenanceWindow": {
"time": "16:30:59",
"dayOfTheWeek": "Monday"
}
}
}Last updated
Was this helpful?